Bug 1035578 - quassel: manipulated clients can access backlog of all users on a shared core [fedora-all] [NEEDINFO]
Summary: quassel: manipulated clients can access backlog of all users on a shared core...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: quassel
Version: 19
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Steven M. Parrish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=siddharths
Depends On:
Blocks: CVE-2013-6404
TreeView+ depends on / blocked
 
Reported: 2013-11-28 06:55 UTC by Ratul Gupta
Modified: 2015-02-17 19:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:26:02 UTC
Type: ---
siddharth.kde: needinfo? (smparrish)


Attachments (Terms of Use)

Description Ratul Gupta 2013-11-28 06:55:58 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Ratul Gupta 2013-11-28 06:56:08 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1035577,1035578

Comment 2 Rahul Sundaram 2014-01-20 09:37:31 UTC
Scratch builds for Rawhide,Fedora 20 and Fedora 19 below

Rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=6428649

Fedora 20
http://koji.fedoraproject.org/koji/taskinfo?taskID=6428694

Fedora 19
http://koji.fedoraproject.org/koji/taskinfo?taskID=6428700

I intend to use my provenpackager access to fix this bug.  Thank you for testing

Comment 4 Siddharth Sharma 2014-11-01 10:47:18 UTC
seems fixed in https://admin.fedoraproject.org/updates/FEDORA-2014-11549/quassel-0.11.0-1.fc20

Comment 5 Fedora End Of Life 2015-01-09 20:43:03 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-02-17 19:26:02 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.